GAWTODC(1)

NAME
gawtodc - ACR/NEMA DICOM PS3 ... GE Advantage Windows to DICOM

SYNOPSIS

gawtodc [ -awmr|-awct|-offset filehdr suitehdr examhdr serieshdr imghdr [-lengthpresent] ] [ -v|verbose ] inputfilename outputfilename

DESCRIPTION

gawtodc reads the named GE Advantage Windows input file and converts it to a dicom output file.

OPTIONS
The verbose output goes to standard error.

The basic switches are described in dcintro(1).

The options that select the header layout of the Advantage Windows file are as follows. Note that one must be specified and there is no default.

-awct
    The input file is a CT.

-awmr
    The input file is an MR.

-offset filehdr suitehdr examhdr serieshdr imghdr
    The input file layout is explicitly specified by the byte offsets from 0 to the corresponding header.

-lengthpresent
    The image pixel data is preceded by a 4 byte length field that should be skipped. This is only usually encountered with Genesis DAT and tape formats, and hasn't been encountered with Advantage Windows formats. Only valid when the offsets are explicitly specified.

ENVIRONMENT

EXAMPLES

% gawtodc -v -awct test test.dc3
Converting ...
******** As read ... ********
(0x0008,0x0008) CS Image Type ...
******** As written ... ********
(0x0002,0x0001) OB File Meta Information Version ...
 ...

FILES

SEE ALSO
dcintro(1), gawdump(1), gendump(1), gentodc(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS
The header layout was derived by guesswork by comparing the known Genesis layout to the similar Advantage Windows layout, but may not be reliable.